%global  bootstrap 1
Name:    kf5-knotifications
Version: 5.110.0
%global  majmin %majmin_ver_kf5
%global  stable %stable_kf5
Release: 1%{?dist}
Summary: KDE Frameworks 5 Tier 2 solution with abstraction for system notifications
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/knotifications
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/knotifications-%{version}.tar.xz
BuildRequires:  dbusmenu-qt5-devel, phonon-qt5-devel, libcanberra-devel
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros
BuildRequires:  kf5-kcodecs-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kwindowsystem-devel >= %{majmin}
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel, qt5-qtx11extras-devel, qt5-qtdeclarative-devel

%if !0%{?bootstrap}
BuildRequires:  qt5-qtspeech-devel
%endif



%description
KDE Frameworks 5 Tier 3 solution with abstraction for system
notifications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n knotifications-%{version} -p1



%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=ON

%cmake_build



%install
%cmake_install

%find_lang_kf5 knotifications5_qt

mkdir -p %{buildroot}/%{_kf5_datadir}/knotifications5



%check



%files -f knotifications5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Notifications.so.*
%{_kf5_datadir}/qlogging-categories5/knotifications.*
%{_kf5_datadir}/knotifications5/
%{_kf5_qmldir}/org/kde/notification/

%files devel
%{_kf5_libdir}/libKF5Notifications.so
%{_kf5_libdir}/cmake/KF5Notifications/
%{_kf5_includedir}/KNotifications/
%{_kf5_datadir}/dbus-1/interfaces/*.xml
%{_kf5_archdatadir}/mkspecs/modules/qt_KNotifications.pri



%changelog
* Wed Nov 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- 5.110.0